import _LensBrowser from './_LensBrowser.js';
import SingleVisionBrowser from './SingleVisionBrowser.js';
import MultifocalBrowser from './MultifocalBrowser.js';
import BaseBrowser from './BaseBrowser.js';

var c = function(browser){
  return (_LensBrowser.browser === browser ? '.active' : '')
  }

var LensBrowser = function(){
return {
view: function(){
return m('.lens-browser', [
  m('h1.text-center', 'Lenses'),
  m('p', '* Prices are per pair.'),
  m('p', '* High strengths cost extra.'),
  m('ul.tab.tab-block.c-hand', [
    m('li.tab-item'+c(SingleVisionBrowser), {
        onclick: function(){ _LensBrowser.browser = SingleVisionBrowser; }
        }, [
      m('a', 'Single-Vision')
      ]),
    m('li.tab-item'+c(MultifocalBrowser), {
        onclick: function(){ _LensBrowser.browser = MultifocalBrowser; }
        }, [
      m('a', 'Multifocal')
      ]),
    m('li.tab-item'+c(BaseBrowser), {
        onclick: function(){ _LensBrowser.browser = BaseBrowser; }
        }, [
      m('a', 'Bases')
      ])
    ]),
  m(_LensBrowser.browser)
  ]);
}
};
}

export default LensBrowser;